/**
 * @file task_out.h
 * @brief The FreeRTOS task to drive the output relays and dimmed leds.
 */

#ifndef	_TASK_OUT_H
#define	_TASK_OUT_H

/*
 * Error codes in this task
 */
#define	OUT_ERR_NONE			0	///< No errors
#define OUT_ERR_READ			1


/**
 * @brief Structure containing the variables for the out task.
 */
typedef struct {
    int			error;			///< Error result
    uint8_t		out1;			///< Actual output state
    uint8_t		out2;
    uint8_t		out3;
    uint8_t		out4;
} OUT_State;


/**
 * @brief The FreeRTOS task to update the outputs.
 * @param pvParameters Parameters for the task.
 */
void task_out(void *pvParameters);


#endif
